summaryrefslogtreecommitdiffhomepage
path: root/subr.pkg/pkg_install_make.subr
diff options
context:
space:
mode:
authorLucía Andrea Illanes Albornoz <lucia@luciaillanes.de>2023-02-17 19:29:28 +0100
committerLucía Andrea Illanes Albornoz <lucia@luciaillanes.de>2023-02-17 19:29:28 +0100
commite9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492 (patch)
tree37e46c2578bd8f4f435073db01abc514976da8a8 /subr.pkg/pkg_install_make.subr
parent56495632fc8bf612766a9c431e37ff27a903e8c6 (diff)
downloadmidipix_build-e9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492.tar.bz2
midipix_build-e9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492.tar.xz
Make everything a bit faster.
0) Issues several prayers and sacrifices to Enki under threat of a terrible deluge sent down by Ellil 1) Convert fork-write/read exprs to be non-forking 2) Pass mostly everything by reference 3) Don't bother cleaning the variable namespace because Bourne shell is an abomination 4) Removes broken ./pkgtool.sh -s, --restart-at, --update-diff & ./build.sh --dump-{in,on-abort} 5) Cleanup
Diffstat (limited to 'subr.pkg/pkg_install_make.subr')
-rw-r--r--subr.pkg/pkg_install_make.subr46
1 files changed, 46 insertions, 0 deletions
diff --git a/subr.pkg/pkg_install_make.subr b/subr.pkg/pkg_install_make.subr
new file mode 100644
index 00000000..a2291218
--- /dev/null
+++ b/subr.pkg/pkg_install_make.subr
@@ -0,0 +1,46 @@
+#
+# set +o errexit -o noglob -o nounset is assumed.
+#
+
+pkg_install_make() {
+ local _pim_group_name="${1}" _pim_pkg_name="${2}" _pim_restart_at="${3}"
+ _pim_libtool="" _pim_rc=0 _pim_subdir="";
+
+ case "${PKG_LIBTOOL:-}" in
+ "") _pim_libtool=""; ;;
+ none) _pim_libtool=""; ;;
+ *) _pim_libtool="${PKG_LIBTOOL}"; ;;
+ esac;
+
+ for _pim_subdir in ${PKG_MAKE_SUBDIRS:-:}; do
+ if [ "${_pim_subdir}" = ":" ]; then
+ _pim_subdir="";
+ fi;
+
+ if [ "${#_pim_libtool}" -gt 0 ]; then
+ export MAKE="make LIBTOOL=${_pim_libtool}";
+ fi;
+
+ rtl_run_cmd_unsplit "${PKG_MAKE}" \
+ ${PKG_MAKEFLAGS_INSTALL:-} \
+ ${PKG_MAKEFLAGS_INSTALL_EXTRA:-} \
+ AR="${PKG_AR}" CC="${PKG_CC}" RANLIB="${PKG_RANLIB}" \
+ "${PKG_RANLIB_INSTALL:+RANLIB=${PKG_RANLIB_INSTALL}}" \
+ ${_pim_libtool:+"LIBTOOL=${_pim_libtool}"} \
+ "${PKG_MAKE_INSTALL_VNAME:-DESTDIR}=${PKG_DESTDIR}/" \
+ ${PKG_INSTALL_TARGET:-install} \
+ ${_pim_subdir:+-C "${_pim_subdir}"}; _pim_rc="${?}";
+
+ if [ "${#_pim_libtool}" -gt 0 ]; then
+ unset MAKE;
+ fi;
+
+ if [ "${_pim_rc}" -ne 0 ]; then
+ return 1;
+ fi;
+ done;
+
+ return 0;
+};
+
+# vim:filetype=sh